Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600621 - unable to create two discovery rules without specifying priority via API
Summary: unable to create two discovery rules without specifying priority via API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Jan Hutař
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 15:50 UTC by Jan Hutař
Modified: 2019-04-01 20:26 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-foreman_discovery-12.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:01:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24235 None None None 2018-07-12 15:50:20 UTC

Description Jan Hutař 2018-07-12 15:50:20 UTC
Description of problem:
apidoc says the dsicovery_rule is an optional parameter:

discovery_rule[priority]
optional , nil allowed

-however, foreman automatically puts 0 as a priority which causes conflicts on multiple POST requests with no priority specified.

I think it would be nice if foreman automatically chose (or suggested for UI dialog) the next available priority.


Version-Release number of selected component (if applicable):
satellite-6.4.0-10.beta.el7sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Attempt to create two discovery rules with not specifying priority via API
   (there is a screencast in the PR: https://github.com/theforeman/foreman_discovery/pull/445)


Additional info:
Initially reported as issue in Robottelo: https://github.com/SatelliteQE/robottelo/issues/6124

Comment 2 pm-sat@redhat.com 2018-07-12 16:22:34 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 3 pm-sat@redhat.com 2018-07-12 16:22:36 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 4 pm-sat@redhat.com 2018-07-12 18:22:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24235 has been resolved.

Comment 8 Bryan Kearney 2018-10-16 19:01:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.